<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Definition;

class ColumnMappingDefinitionFactory
{
    public function createFromDefinition(string $column, array $definition)
    {
        return new ColumnMappingDefinition(
            $column,
            $definition['field'] ?? null,
            $definition['sql'] ?? null,
            $definition['value'] ?? null,
            $definition['alias'] ?? null,
            $definition['expr'] ?? null,
            $definition['transformer'] ?? null,
            $definition['identifier_mapping'] ?? null
        );
    }
}
