<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Sql;

use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;
use Dedi\SyliusMigrationPlugin\Service\ReaderInterface as GenericReaderInterface;

interface ReaderInterface extends GenericReaderInterface, SqlProcessorInterface
{
    public function read(TableMappingDefinition $tableMappingDefinition): array;
}
